Rysunek Roboczy: Okrąg

From FreeCAD Documentation
Revision as of 19:42, 11 July 2021 by Kaktus (talk | contribs) (Created page with "# Istnieje kilka sposobów na wywołanie polecenia: #* Naciśnij przycisk {{Button|16px Okrąg}}. #* Wybierz z menu opcję {{Men...")

Draft: Okrąg

Lokalizacja w menu
Drafting → Okrąg
Środowisko pracy
Rysunek roboczy, Architektura
Domyślny skrót
C I
Wprowadzono w wersji
0.7
Zobacz także
Łuk, Łuk przez 3 punkty

Opis

Polecenie Okrąg tworzy okrąg w bieżącej płaszczyźnie roboczej na bazie punktu środkowego i promienia. Promień może być zdefiniowany przez wybranie punktu.

Rysunek okręgu można przekształcić w łuk eliptyczny, ustawiając jego właściwości DANEKąt Pierwszy i DANEKąt Ostatni na odmienne wartości.

Okrąg wyznaczony przez dwa punkty, środek i promień

Użycie

Zobacz również Tacka narzędziowa, Przyciąganie oraz Wiązania.

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Okrąg.
    • Wybierz z menu opcję Kreślenie → Okrąg.
    • Użyj skrótu klawiaturowego: C, a następnie I.
  2. Otworzy się panel zadań Okrąg. Zobacz Opcje, aby uzyskać więcej informacji.
  3. Wybierz pierwszy punkt, środek okręgu, w oknie widoku 3D, lub wpisz współrzędne i naciśnij przycisk Wprowadź punkt.
  4. Wybierz drugi punkt w oknie widoku 3D, lub wpisz wartość Promienia.

Options

The single character keyboard shortcuts available in the task panel can be changed. See Draft Preferences. The shortcuts mentioned here are the default shortcuts.

  • To manually enter the coordinates for the center enter the X, Y and Z component, and press Enter after each. Or you can press the Enter point button when you have the desired values. It is advisable to move the pointer out of the 3D view before entering coordinates.
  • The Relative checkbox has no purpose for this command.
  • Press G or click the Global checkbox to toggle global mode. If global mode is on, coordinates are relative to the global coordinate system, else they are relative to the working plane coordinate system. introduced in version 0.20
  • Press L or click the Filled checkbox to toggle filled mode. If filled mode is on, the created circle will have DANEMake Face set to true and will have a filled face.
  • Press T or click the Continue checkbox to toggle continue mode. If continue mode is on, the command will restart after finishing, allowing you to continue creating circles.
  • Press Esc or the Close button to abort the command.

Notes

  • A Draft Circle can be edited with the Draft Edit command.
  • If the Edit → Preferences... → Draft → General settings → Draft tools options → Use Part Primitives when available option is checked, the command will create a Part Circle instead of a Draft Circle. See Draft Preferences.

Properties

See also: Property editor.

A Draft Circle object is derived from a Part Part2DObject and inherits all its properties. It also has the following additional properties:

Data

Draft

  • DANEArea (Area): (read-only) specifies the area of the face of the circle. The value will be 0.0 if DANEMake Face if false or the face cannot be created.
  • DANEFirst Angle (Angle): specifies the start angle of the circle, normally .
  • DANELast Angle (Angle): specifies the end angle of the circle, normally .
  • DANEMake Face (Bool): specifies if the circle makes a face or not. If it is true a face is created, otherwise only the perimeter is considered part of the object. This property only works if the DANEFirst Angle and DANELast Angle have the same value. Note that and 360° are not considered the same.
  • DANERadius (Length): specifies the radius of the circle.

View

Draft

  • WIDOKPattern (Enumeration): specifies the Draft Pattern with which to fill the face of the circle. This property only works if DANEMake Face is true and if WIDOKDisplay Mode is Flat Lines.
  • WIDOKPattern Size (Float): specifies the size of the Draft Pattern.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

To create a Draft Circle use the make_circle method (introduced in version 0.19) of the Draft module. This method replaces the deprecated makeCircle method.

circle = make_circle(radius, placement=None, face=None, startangle=None, endangle=None, support=None)
circle = make_circle(Part.Edge, placement=None, face=None, startangle=None, endangle=None, support=None)
  • Creates a circle object with given radius in millimeters.
    • radius can also be a Part.Edge, whose Curve attribute must be a Part.Circle.
  • If placement is None the circle is created at the origin.
  • If face is True, the circle will make a face, that is, it will appear filled.
  • If startangle and endangle are given in degrees, and have different values, they are used and the object appears as a Draft Arc.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

circle1 = Draft.make_circle(200)

zaxis = App.Vector(0, 0, 1)
p2 = App.Vector(1000, 1000, 0)
place2 = App.Placement(p2, App.Rotation(zaxis, 0))
circle2 = Draft.make_circle(500, placement=place2)

p3 = App.Vector(-1000, -1000, 0)
place3 = App.Placement(p3, App.Rotation(zaxis, 0))
circle3 = Draft.make_circle(750, placement=place3)

doc.recompute()